/* Filename: Example403A
** TapeLeds color test 
** Library:FastLED
** ---------------
** TapeLED              Arduino
** +5V(orange)        :  5V
** GND(white)         :  GND
** Tape input(yellow) : pin 4
** ---------------
** Coded by H. Kawakami, July 1st, 2014
*/ 

//#include "FastSPI_LED2.h"
#include "FastLED.h"

const int ledPin=4;
CRGB leds[1];

void setup() {
  delay(2000);
  LEDS.setBrightness(255);
  LEDS.addLeds<WS2811, ledPin>(leds, 1);
}

void loop() {
  for(int i=0; i<255; i++){
    fill_solid(&(leds[0]), 1, CRGB(0, 0, i));
    LEDS.show();
    delay(30);   
  }
  for(int i=255; i>0; i--){
    fill_solid(&(leds[0]), 1, CRGB(0, 0, i));
    LEDS.show();
    delay(30);   
  }
}
